# Create Ticket

Creates a Ticket object in the token-linked Integration.

Operation ID: ticketing_create_ticket

Endpoint: POST /v1/ticketing/tickets
Security: BearerAuth

## Request fields (application/json):

  - `name` (string, required)
    Human-readable name for this resource

  - `summary` (string,null)
    Ticket summary.

  - `creator` (string,null)
    User who created this ticket.

  - `assignee` (string,null)
    Who ticket is assigned to.

  - `contact` (string,null)
    Ticket contact information.

  - `description` (string,null)
    Ticket description.

  - `priority` (string)
    Enum: "URGENT", "CRITICAL", "HIGH", "MEDIUM", "MODERATE", "LOW", "PLANNING"

  - `due_date` (string,null)
    The ticket's due date.

  - `completion_date` (string,null)
    The ticket's complete date.

  - `status` (string)

  - `project` (string,null)
    The ticket project.

  - `issue_type` (string,null)
    The ticket's type.

  - `tags` (array,null)
    Associate tags with Ticket

  - `custom_fields` (object,null)
    Set custom fields for this ticket, keys are the custom field names.

## Response 200 fields (application/json):

  - `result` (object, required)
    Ticketing ticket

  - `result.id` (string, required)

  - `result.summary` (string, required)
    Ticket summary.

  - `result.name` (string, required)
    Human-readable name for this resource

  - `result.created_at` (string, required)
    Time object was originally created

  - `result.updated_at` (string, required)
    Last time object was updated

  - `result.creator` (string,null)
    User who created this ticket.

  - `result.assignee` (string,null)
    Who ticket is assigned to.

  - `result.contact` (string,null)
    Ticket contact information.

  - `result.description` (string,null)
    Ticket description.

  - `result.priority` (string)
    Enum: "URGENT", "CRITICAL", "HIGH", "MEDIUM", "MODERATE", "LOW", "PLANNING"

  - `result.due_date` (string,null)
    The ticket's due date.

  - `result.completion_date` (string,null)
    The ticket's complete date.

  - `result.status` (string)

  - `result.project` (string)

  - `result.issue_type` (string)
    Unique identifier for an issue type

  - `result.tags` (array,null)
    Associate tags with Ticket

  - `result.attachments` (array,null)
    Metadata of attachments associated with the ticket

  - `result.attachments.id` (string, required)

  - `result.attachments.ticket_id` (string, required)

  - `result.attachments.file_name` (string, required)
    The name of the file.

  - `result.attachments.file_type` (string, required)
    The type of the file.

  - `result.attachments.created_date` (string, required)
    The date the attachment was created.

  - `result.attachments.creator` (string, required)
    The user who created the attachment.

  - `result.attachments.file_size` (integer,null)
    The size of the file in bytes.

  - `result.attachments.unmapped` (object)
    The Object type is used to represent an object with arbitrary fields. The keys are strings and the values are any type.

  - `result.custom_fields` (object,null)
    Custom fields for this ticket, keys are the custom field names.

  - `result.unmapped` (object)
    The Object type is used to represent an object with arbitrary fields. The keys are strings and the values are any type.

  - `messages` (object)

  - `messages.problems` (array,null)
    Warnings or issues that occurred during processing that did not prevent the request from returning, but may indicate a problem or issue with expected processing behavior.

  - `messages.problems.occurred_at` (string, required)
    The date and time the problem occurred.

  - `messages.problems.status` (integer, required)
    The HTTP status code of the problem. Matches the HTTP response code sent by the server.

  - `messages.problems.instance` (string, required)
    A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.

  - `messages.problems.message` (string, required)
    A short, display-friendly summary of the problem.

  - `messages.problems.type` (string)
    A URI reference that identifies the type of problem that occurred. When the URI scheme is HTTP(s), it may or may not be possible to deference the URL to a display-friendly description of the problem type.

  - `messages.problems.cause` (array,null)
    A list of the root cause(s) for this problem occurrence. Includes at minimum one root cause, and is otherwise an unordered list of causes.

  - `messages.problems.cause.type` (string, required)
    A URI reference that identifies the type of problem that occurred. When the URI scheme is HTTP(s), it may or may not be possible to deference the URL to a display-friendly description of the problem type.

  - `messages.problems.cause.message` (string, required)
    A short, display-friendly summary of the problem.

  - `messages.problems.cause.detail` (string,null)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `messages.problems.cause.remediation` (string,null)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `messages.problems.cause.context` (object)

  - `messages.problems.cause.context.parameter` (object)

  - `messages.problems.cause.context.parameter.id` (string, required)
    If the location of the parameter is body, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `messages.problems.cause.context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `messages.problems.cause.context.parameter.value` (any,null)
    The given value of the parameter.

  - `messages.problems.cause.context.resources` (array,null)

  - `messages.problems.cause.context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `messages.problems.cause.context.resources.id` (string, required)
    ID of the related resource.

  - `messages.problems.cause.context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `messages.problems.cause.context.raw_error` (string,null)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `messages.problems.cause.context.provider_details` (object,null)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

  - `messages.problems.detail` (string,null)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `messages.problems.remediation` (string,null)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `messages.problems.context` (object)

  - `meta` (object)

  - `meta.stats` (object)

  - `meta.stats.count` (object,null)
    A count of total response times. If present "\*" will be all items, or they can be faceted into specific categories.

  - `meta.api` (object)

  - `meta.api.response` (object)

  - `meta.api.response.primary` (object)

  - `meta.api.response.primary.endpoint` (string, required)
    The endpoint URL of the primary API request made to fulfill the response.

  - `meta.api.response.primary.response` (string, required)
    The response from the primary API request.

  - `meta.api.response.list` (object,null)
    All responses from backing API calls, indexed by endpoint URL.

  - `meta.mapping` (object)

  - `meta.mapping.chains` (object)
    The list of mapping chains applied, indexed by operation ID. Each entry contains an array of mapping IDs.


